Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040970
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2019-05-29 12:572019-06-18 01:43
ReporterLeyreView Statuspublic 
Assigned ToAugustoMauch 
PriorityhighResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision3880826d0ca2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040970: Manage Variants - incorrect filter in the "Characteristic Description"

DescriptionWhen "Manage Variants", in the preview screen if it is filtered by "Characteristic Description", all the product characteristics are displayed, even they do not belong to the product or the characteristics are deactivated.
Steps To Reproduce1. "Product Characteristic" window:
   1.1 Define a new characteristic variant =yes
       - Navigate to values tab and create three values
       - Navigate to subset tab and create one subset
          - Navigate to subset value tab and add two of the values defined in characteristic values.

2. Create a new product:
   2.1 Is generic = yes
   2.2 Add in "Characteristics" tab, the previous defined: variant = yes and "Characteristic Subset" = the defined.

3. Confirm that the "Characteristic Configuration" is automatically completed

4. "Manage Variants" -> A new screen is opened with the characteristics filtered correctly.

5. Open the filter "Characteristic Description" and verify that there are characteristics that do not belong to the product. In addition, if you deactivate in the "Characteristic Configuration" a value, it also appears.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0112223)
Leyre (developer)
2019-05-29 13:02

In this case, the client has many defined characteristics, so the search in the indicated filter is complicated.
(0112533)
hgbot (developer)
2019-06-10 12:22

Repository: erp/devel/pi
Changeset: 068fd9f40e7a98d4fca6b95d923ae706bc71e82b
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Jun 10 11:30:33 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/068fd9f40e7a98d4fca6b95d923ae706bc71e82b [^]

Fixes issue 40970: Manager Variants has now proper prod characteristics filter

The ProductCharacteristicsDS was not able to build a proper where clause when the product characteristics
filter was part of a grid in a process definition window.

A new hook called ProductCharacteristicCustomWhereClause has been added, where it is possible to define
custom where clauses for each Process Definition that contains a grid with a product characteristics
filter.

For that hook to work, the request to ProductCharacteristicCustomWhereClause now includes the process id
and the context info of the tab that owns the process definition button, if applicable.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-characteristics.js
M src/org/openbravo/materialmgmt/ProductCharacteristicsDS.java
A src/org/openbravo/materialmgmt/ManageVariantsCustomProductCharacteristicWhereClause.java
A src/org/openbravo/materialmgmt/ProductCharacteristicCustomWhereClause.java
---
(0112559)
hudsonbot (developer)
2019-06-10 21:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/566a6f94c8c2 [^]
Maturity status: Test
(0112574)
hgbot (developer)
2019-06-11 11:20

Repository: erp/devel/pi
Changeset: e8a97db0f525d8a4fbdd63c53d2cb00a06e413e2
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Jun 11 11:19:42 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e8a97db0f525d8a4fbdd63c53d2cb00a06e413e2 [^]

Related with issue 40970: Manage Variants PC filter takes subsets into account

The custom where clause for the Manage Variants product characteristic filter was not taking
characteristic subsets into account. Now if the product characteristic does not reference a subset
the filter will return all its values, and if it references a subset it will return only the
values that belong to the subset.

---
M src/org/openbravo/materialmgmt/ManageVariantsCustomProductCharacteristicWhereClause.java
---
(0112631)
hudsonbot (developer)
2019-06-12 13:00

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e330da816783 [^]
Maturity status: Test
(0112644)
Leyre (developer)
2019-06-12 15:23

The customer has validated the correct behavior of the patches.
(0112820)
caristu (developer)
2019-06-17 13:33

CR comments:

- Declare ManageVariantsCustomProductCharacteristicWhereClause as @ApplicationScoped. It will not inherit the scope from the interface.
 
- ┬┐Use dsRequest instead of arguments when invoking Super transformRequest? Maybe it is a bit more readable...
(0112830)
hgbot (developer)
2019-06-17 15:54

Repository: erp/devel/pi
Changeset: 3880826d0ca20d92eac8e26540b4615eb76ac10c
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Jun 17 15:51:58 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3880826d0ca20d92eac8e26540b4615eb76ac10c [^]

Fixes issue 40970: Uses ApplicationScoped properly, makes code more clear

The @ApplicationScoped annotation is not inherited, so it must be included in the subclasses, not
in the interface definition.

Also, replaces:

return this.Super('transformRequest', arguments);

With:

return this.Super('transformRequest', dsRequest);

To make the code more clear.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-characteristics.js
M src/org/openbravo/materialmgmt/ManageVariantsCustomProductCharacteristicWhereClause.java
M src/org/openbravo/materialmgmt/ProductCharacteristicCustomWhereClause.java
---
(0112834)
caristu (developer)
2019-06-17 16:03

Reviewed + tested OK.
(0112844)
hudsonbot (developer)
2019-06-18 01:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e00500bb8de5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-29 12:57 Leyre New Issue
2019-05-29 12:57 Leyre Assigned To => Triage Finance
2019-05-29 12:57 Leyre Modules => Core
2019-05-29 12:57 Leyre Triggers an Emergency Pack => No
2019-05-29 13:02 Leyre Note Added: 0112223
2019-05-29 13:06 Practics Issue Monitored: Practics
2019-05-29 17:01 Sandrahuguet Assigned To Triage Finance => platform
2019-05-29 17:01 Sandrahuguet Steps to Reproduce Updated View Revisions
2019-05-29 17:07 Sandrahuguet Steps to Reproduce Updated View Revisions
2019-06-10 12:22 hgbot Checkin
2019-06-10 12:22 hgbot Note Added: 0112533
2019-06-10 12:22 hgbot Status new => resolved
2019-06-10 12:22 hgbot Resolution open => fixed
2019-06-10 12:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/068fd9f40e7a98d4fca6b95d923ae706bc71e82b [^]
2019-06-10 12:23 AugustoMauch Review Assigned To => caristu
2019-06-10 12:23 AugustoMauch Assigned To platform => AugustoMauch
2019-06-10 21:15 hudsonbot Checkin
2019-06-10 21:15 hudsonbot Note Added: 0112559
2019-06-11 11:20 hgbot Checkin
2019-06-11 11:20 hgbot Note Added: 0112574
2019-06-12 13:00 hudsonbot Checkin
2019-06-12 13:00 hudsonbot Note Added: 0112631
2019-06-12 15:23 Leyre Note Added: 0112644
2019-06-17 13:33 caristu Note Added: 0112820
2019-06-17 15:54 hgbot Checkin
2019-06-17 15:54 hgbot Note Added: 0112830
2019-06-17 15:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/068fd9f40e7a98d4fca6b95d923ae706bc71e82b [^] => http://code.openbravo.com/erp/devel/pi/rev/3880826d0ca20d92eac8e26540b4615eb76ac10c [^]
2019-06-17 16:03 caristu Note Added: 0112834
2019-06-17 16:03 caristu Status resolved => closed
2019-06-17 16:03 caristu Fixed in Version => 3.0PR19Q3
2019-06-18 01:43 hudsonbot Checkin
2019-06-18 01:43 hudsonbot Note Added: 0112844


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker